# This the rpm spec file for libgrass5
%define PACKAGE_NAME libgrass5
%define PACKAGE_VERSION 0.9.0
%define PACKAGE_URL http://gdal.velocet.ca/projects/grass/

Summary: Standalone GRASS Database Access Library
Name: %PACKAGE_NAME
Version: %PACKAGE_VERSION
Release: 2
Source: %PACKAGE_NAME-%PACKAGE_VERSION.tar.gz
Copyright: GPL; Copyright (C) 2000  Frank Warmerdam; GRASS Development Team
Group: Applications/GIS
URL: %PACKAGE_URL
Packager: Bernhard Reiter <bernhard@intevation.de>
BuildRoot: %{_tmppath}/%PACKAGE_NAME-%PACKAGE_VERSION-buildroot

#Icon:
#Conflicts:
#Switch of automatic requirement detection
#Requires: 
AutoReqProv: no
Provides: libgrass5

%description
The libgrass package consists of the majority of the GRASS libgis, and
libdatetime library build as a standalone shared library suitable for use
by non-GRASS applications wishing to read and write GRASS databases.  Some
additional functions have been added to simplify library initialization and
data access by non-GRASS applications.  

While libgrass is currently only suitable for accessing GRASS raster cells,
and associated support files, it is hoped that future revisions will include
support for vector files, and other data elements stored within the GRASS
database.

##################
%prep
%setup

##################
%build
./configure --prefix=%{_prefix}
make 

##################
%install
make prefix=$RPM_BUILD_ROOT%{_prefix} install

##################
%post
echo -n "Running ldconfig..."
ldconfig
echo "done."

##################
%postun
echo -n "Running ldconfig..."
ldconfig
echo "done."

##################
%files
%doc AUTHORS
%doc README
%doc COPYING
%doc ChangeLog
%doc NEWS
%doc samples/grassinfo.c
%doc samples/ppm2grass.c
%{_libdir}/*
%{_includedir}/*
